# 기본 아이콘 이미지 목록 조회

## Request

## RBC에서 제공되는 기본 아이콘 이미지 정보를 조회합니다.<br>

> RBC에서 제공되는 기본 아이콘 이미지 정보를 조회합니다.  \
> 조회된 파일 ID를 메시지 발송 시 또는 템플릿 등록 시 사용할 수 있습니다.  \
> \
> &#x20; \+ \*\*계정 권한 : 마스터, 매니저, 대행사\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}}},"paths":{"/logo/common":{"get":{"summary":"RBC에서 제공되는 기본 아이콘 이미지 정보를 조회합니다.\n","description":"RBC에서 제공되는 기본 아이콘 이미지 정보를 조회합니다.  \n조회된 파일 ID를 메시지 발송 시 또는 템플릿 등록 시 사용할 수 있습니다.  \n\n  + **계정 권한 : 마스터, 매니저, 대행사**\n","responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="184">필드명</th><th width="213">타입</th><th width="78" align="center">길이</th><th width="112" align="center">필수여부</th><th width="116">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>RBC에서 제공되는 기본 로고 정보</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td>리턴코드값</td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td>상태값</td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>처리메시지</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="184">필드명</th><th width="213">타입</th><th width="78" align="center">길이</th><th width="112" align="center">필수여부</th><th width="116">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>fileId</code></strong></td><td>string</td><td align="center">64</td><td align="center"></td><td></td><td>기본 로고 이미지 파일 ID 입니다.</td></tr><tr><td><strong><code>fileUrl</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>기본 로고 이미지 파일 URL 입니다.</td></tr><tr><td><strong><code>fileName</code></strong></td><td>string</td><td align="center">30</td><td align="center"></td><td></td><td>기본 로고명 입니다.</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "fileName": "프로모션.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-DdWk6s_1.gif",
            "fileId": "LT-messagebase.common-DdWk6s"
        },
        {
            "fileName": "쿠폰.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-5Weq00_1.gif",
            "fileId": "LT-messagebase.common-5Weq00"
        },
        {
            "fileName": "이벤트.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-jUAJX2_1.gif",
            "fileId": "LT-messagebase.common-jUAJX2"
        },
        {
            "fileName": "예약.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-2Yxt2H_1.gif",
            "fileId": "LT-messagebase.common-2Yxt2H"
        },
        {
            "fileName": "영수증.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-2k8ydI_1.gif",
            "fileId": "LT-messagebase.common-2k8ydI"
        },
        {
            "fileName": "알림.gif",
            "fileUrl": "https://file-qa.rcsbizcenter.com/form/messagebase.common/LT-messagebase.common-YCVd02_1.gif",
            "fileId": "LT-messagebase.common-YCVd02"
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/logo/get_common_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
